#ifndef _PARSEC_MIC_DB_WC_H_
#define _PARSEC_MIC_DB_WC_H_

#include <parsec/mic_db.h>
#include <wchar.h>

struct wcmic_user {
	wchar_t *name;
    mic_t mic_level;
};

#ifdef __cplusplus
extern "C" {
#endif

/* mic */
extern mic_han_t wcopenmicdb(void);
extern int wcclosemicdb(mic_han_t han);

extern int wcsetmicent(mic_han_t han);
extern int wcendmicent(mic_han_t han);

extern struct wcmic_user *wcgetmicent(mic_han_t han);
extern struct wcmic_user *wcfgetmicent(FILE *fd);

extern struct wcmic_user *wcgetmicnam(mic_han_t han, const wchar_t *name);
extern struct wcmic_user *wcgetmicuid(mic_han_t han, uid_t uid);
extern int wcrmmicnam(mic_han_t han, const wchar_t *name);
extern int wcfputmicent(FILE *fd, const struct wcmic_user *mu);
extern int wcputmicent(mic_han_t han, const struct wcmic_user *mu);

extern int wcfreemicent(struct wcmic_user *res);

#ifdef __cplusplus
}
#endif

#endif	/* _PARSEC_MIC_DB_WC_H_ */
